> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ping a subscription

If you need to check the connectivity of a subscription, even if it is disabled, you can send a **ping** event.
To do that, you only need to `POST`, with all the usual headers, the path `/webhooks/ping/:subscription_id:`.
This endpoint does not require a body as input and neither does it return anything: it is only a `POST` call that will generate a `204` response.
Calling the endpoint will generate a ping event to simulate the workflow of a regular webhook, triggering a notification for the configured URL.

The `Ping` webhook is a special one since it is sent to specific subscriptions.
You can expect the communication between this API and your webhook receiver to follow the same rules as other types of webhooks.
The header `X-Ebury-Client-Id` will be populated, and `X-Ebury-Webhook` will contain the special value `Ping`.
The payload will be a valid `json` without any specific schema, apart from being signed in `X-Ebury-Signature` as usual.


## OpenAPI

````yaml /openapi.json post /webhooks/ping/{subscription_id}
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /webhooks/ping/{subscription_id}:
    post:
      tags:
        - Webhooks
      summary: Ping a subscription
      description: >-
        Ping a subscription to get a realistic notification in the configured
        URL
      parameters:
        - description: The UUID of the subscription
          in: path
          name: subscription_id
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Ping was successful
        '401':
          description: Access denied due to authentication failure
        '403':
          description: >-
            Could not complete action due to data constraints. Refer to error
            message for additional details
components:
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````